#ifndef XARCHIVE_SRC_COMMON
#define XARCHIVE_SRC_COMMON 1

#include"config.h"
#include<stdlib.h>
#include<glib.h>
//for gettext
#include<libintl.h>
#include<locale.h>

#define _(STRING)    gettext(STRING)

#define MAXLINE 256
#define E_UNSUPPORTED 65

/* some common enumerations */
enum { AR_OPEN=0, AR_NEW, AR_EXTRACT, AR_ADD, AR_REMOVE, AR_VIEW}; 

enum { WRAPPER_INDEX=0, OPTION_INDEX, ARCHIVE_INDEX, FIRST_FILE_INDEX };
 
enum {COL_ICON=0, COL_FILE, COL_DFILE, COL_SIZE, COL_ATTR, COL_USER, COL_GROUP,
      COL_TIME, COL_LINK, NUM_COLS};

typedef struct parsed_arguments
{
  int action;
  char **files;
  char *archive;
  char *geom;
} ParsedArgs;

#endif
